Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.xmldb.api.base
Interface Service

All Superinterfaces:
  Configurable

All Known Subinterfaces:
  CollectionManagementService, TransactionService, XPathQueryService, XUpdateQueryService

All Known Implementing Classes:
  BXCollectionManagementService, BXQueryService

    public interface Service

extends Configurable

The `Service` interface provides an extension mechanism for `Collection` implementations. It is to be implented by Service instances that define their own set of methods to perform the necessary action. For an example of what a functional `Service` interface should look like look at XPathQueryService.

See Also:
  `XPathQueryService`

Method Summary
`java.lang.String` | `getName()` Returns the name associated with the Service instance.
`java.lang.String` | `getVersion()` Gets the Version attribute of the Service object
`void` | `setCollection(Collection col)` Sets the Collection attribute of the Service object

Methods inherited from interface org.xmldb.api.base.Configurable
`getProperty, setProperty`

Method Detail

### getName

    java.lang.String getName()
                             throws XMLDBException

  Returns the name associated with the Service instance.

  Returns:
    the name of the object.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### getVersion

    java.lang.String getVersion()
                                throws XMLDBException

  Gets the Version attribute of the Service object

  Returns:
    The Version value
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### setCollection

    void setCollection(Collection col)
                       throws XMLDBException

  Sets the Collection attribute of the Service object

  Parameters:
    `col` - The new Collection value
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD